cURL
curl --request GET \
--url https://api.yoshi.ai/v1/goals \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
goals = client.goals.list()
print(goals.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const goals = await client.goals.list();
console.log(goals.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
goals, err := client.Goals.List(context.TODO(), yoshi.GoalListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", goals.Data)
}
yoshi goals list \
--api-key 'My API Key'{
"data": {
"goals": [
{
"id": "<string>",
"name": "<string>",
"goal_type": "<string>",
"status": "<string>",
"target_amount": 123,
"current_value": 123,
"target_date": "2023-12-25"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Goals
List goals
List financial goals with optional status filter.
GET
/
goals
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/goals \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
goals = client.goals.list()
print(goals.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const goals = await client.goals.list();
console.log(goals.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
goals, err := client.Goals.List(context.TODO(), yoshi.GoalListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", goals.Data)
}
yoshi goals list \
--api-key 'My API Key'{
"data": {
"goals": [
{
"id": "<string>",
"name": "<string>",
"goal_type": "<string>",
"status": "<string>",
"target_amount": 123,
"current_value": 123,
"target_date": "2023-12-25"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Query Parameters
Available options:
active, paused, completed, cancelled Response
200 - application/json
Goals retrieved.
Hide child attributes
Hide child attributes
Last modified on June 18, 2026
Was this page helpful?